--- slime.el.~1.753.~	2007-01-29 09:51:12.000000000 +0530
+++ slime.el	2007-01-29 15:52:12.000000000 +0530
@@ -277,6 +277,12 @@
   :group 'slime-mode
   :type 'boolean)
 
+(defcustom slime-complete-symbol*-move-to-unambiguous-prefix-p t
+  "If non-nil, slime-complete-symbol* will move the point to the
+unambigous prefix."
+  :type 'boolean
+  :group 'slime-ui)
+
 (defcustom slime-fuzzy-completion-in-place t
   "When non-NIL the fuzzy symbol completion is done in place as
 opposed to moving the point to the completion buffer."
@@ -6127,6 +6133,12 @@
                        (let ((other-window-scroll-buffer 
                               (window-buffer window)))
                    (scroll-other-window))))) ; madhu
+               (when slime-complete-symbol*-move-to-unambiguous-prefix-p
+                 (let ((unambiguous-completion-length
+                        (loop for c in completion-set
+                              minimizing (or (mismatch completed-prefix c)
+                                             (length completed-prefix)))))
+                   (goto-char (+ beg unambiguous-completion-length))))
                (slime-display-completion-list completion-set
                                               completed-prefix)
                (slime-complete-delay-restoration)))))))
